10/17/2002 03:14 PM - Dan Higgins

Status: Resolved Start date: 10/17/2002
Priority: Normal Due date:

Assignee: Dan Higgins % Done: 0%
Category: morpho - general Estimated time: 0.00 hour
Target version: 1.2 Spent time: 0.00 hour
Bugzilla-ld: 639

Description

If a package does not contain any data, and the add data menu item (Data menu)
is selected, there is a problem if one does NOT select an existing data set to

add. In this case, a 1 cell table appears. One can add rows and columns, but
after adding columns, there are problems in typing data into the cells. Also,

the 'Update’ buttons fro saving any entries/changes does not work.

History

#1 - 10/18/2002 04:28 PM - Dan Higgins

The problem with editing after a column has been added has been fixed by
ensuring that the proper delimiter string has been passed to the table cell
editor. There are still problems with saving the revised table.

#2 - 10/23/2002 08:19 AM - Dan Higgins

Problems of adding data to a package fixed by making the "Create New
Datatable..." menu item 'smarter'. If there is no data in the current entity,

clicking this item will ask for a data file. Or, if one edits empty table

displayed when no data is in the package and then hits the 'Update’ button, the
displayed table is saved as data. While if there is data in the current entity,

a new entity can be created by selecting the "Create New Datatable..." meu item.

#3 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 639
